-- This file is part of the reachability analysis tool LaRA
-- (Lazy Reachability Analyzer)
--
-- Loïg Jezequel & Didier Lime
--
-- University of Nantes, École Centrale de Nantes, All rights reserved, 2016


module Main (main) where

import Debug.Trace

import System.Environment

import Lara.Data
import Lara.Parser
import Lara.PReach

main =
   do
      automaton <- fmap head getArgs >>= readFile
      case parseA automaton of
         (Left err) -> print err
         (Right e)  -> do 
            putStrLn "Parsing done."
            let g = preach e
            if g == Nothing then putStrLn "False"
                            else -- putStrLn "True" 
                                 -- for experiments, only True was printed
                                 let (Just aut) = g in sequence_ $ map (putStrLn.(++"\n").(showAuto e)) aut



